Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.api.core
Class FilterConstants

    java.lang.Object
      org.hornetq.api.core.FilterConstants

    public class FilterConstants

extends Object

Constants representing pre-defined message attributes that can be referenced in HornetQ core filter expressions.

Author:
  Tim Fox

Field Summary
`static SimpleString` | `DURABLE` Value for the Durable header when the message is durable.
`static SimpleString` | `HORNETQ_DURABLE` Name of the HornetQ Message durable header.
`static SimpleString` | `HORNETQ_EXPIRATION` Name of the HornetQ Message expiration header.
`static SimpleString` | `HORNETQ_PREFIX` All HornetQ headers are prepended by this prefix.
`static SimpleString` | `HORNETQ_PRIORITY` Name of the HornetQ Message priority header.
`static SimpleString` | `HORNETQ_SIZE` Name of the HornetQ Message size header.
`static SimpleString` | `HORNETQ_TIMESTAMP` Name of the HornetQ Message timestamp header.
`static SimpleString` | `HORNETQ_USERID` Name of the HornetQ UserID header.
`static SimpleString` | `NON_DURABLE` Value for the Durable header when the message is non-durable.

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HORNETQ_USERID

    public static final SimpleString HORNETQ_USERID

  Name of the HornetQ UserID header.

### HORNETQ_EXPIRATION

    public static final SimpleString HORNETQ_EXPIRATION

  Name of the HornetQ Message expiration header.

### HORNETQ_DURABLE

    public static final SimpleString HORNETQ_DURABLE

  Name of the HornetQ Message durable header.

### NON_DURABLE

    public static final SimpleString NON_DURABLE

  Value for the Durable header when the message is non-durable.

### DURABLE

    public static final SimpleString DURABLE

  Value for the Durable header when the message is durable.

### HORNETQ_TIMESTAMP

    public static final SimpleString HORNETQ_TIMESTAMP

  Name of the HornetQ Message timestamp header.

### HORNETQ_PRIORITY

    public static final SimpleString HORNETQ_PRIORITY

  Name of the HornetQ Message priority header.

### HORNETQ_SIZE

    public static final SimpleString HORNETQ_SIZE

  Name of the HornetQ Message size header.

### HORNETQ_PREFIX

    public static final SimpleString HORNETQ_PREFIX

  All HornetQ headers are prepended by this prefix.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.